## libvirt 9.0.0

=== meson_options.txt ===
option('no_git', type: 'boolean', value: false, description: 'Disable git submodule update')
option('packager', type: 'string', value: '', description: 'Extra packager name')
option('packager_version', type: 'string', value: '', description: 'Extra packager version')
option('system', type: 'boolean', value: false, description: 'Set install paths to system ones')
option('runstatedir', type: 'string', value: '', description: 'State directory for temporary sockets, pid files, etc')
option('expensive_tests', type: 'feature', value: 'auto', description: 'set the default for enabling expensive tests (long timeouts)')
option('test_coverage', type: 'boolean', value: false, description: 'turn on code coverage instrumentation')
option('git_werror', type: 'feature', value: 'auto', description: 'use -Werror if building from GIT')
option('rpath', type: 'feature', value: 'auto', description: 'whether to include rpath information in installed binaries and libraries')
option('docdir', type: 'string', value: '', description: 'documentation installation directory')
option('docs', type: 'feature', value: 'auto', description: 'whether to generate documentation')
option('tests', type: 'feature', value: 'auto', description: 'whether to build tests')


# build dependencies options
option('apparmor', type: 'feature', value: 'auto', description: 'apparmor support')
option('attr', type: 'feature', value: 'auto', description: 'attr support')
option('audit', type: 'feature', value: 'auto', description: 'audit support')
option('bash_completion', type: 'feature', value: 'auto', description: 'bash-completion support')
option('bash_completion_dir', type: 'string', value: '', description: 'directory containing bash completion scripts')
option('blkid', type: 'feature', value: 'auto', description: 'blkid support')
option('capng', type: 'feature', value: 'auto', description: 'cap-ng support')
option('curl', type: 'feature', value: 'auto', description: 'curl support')
option('fuse', type: 'feature', value: 'auto', description: 'fuse support')
option('glusterfs', type: 'feature', value: 'auto', description: 'glusterfs support')
option('libiscsi', type: 'feature', value: 'auto', description: 'libiscsi support')
option('libnl', type: 'feature', value: 'auto', description: 'libnl support')
option('libpcap', type: 'feature', value: 'auto', description: 'libpcap support')
option('libssh', type: 'feature', value: 'auto', description: 'libssh support')
option('libssh2', type: 'feature', value: 'auto', description: 'libssh2 support')
option('netcf', type: 'feature', value: 'auto', description: 'netcf support')
option('nls', type: 'feature', value: 'auto', description: 'nls support')
option('numactl', type: 'feature', value: 'auto', description: 'numactl support')
option('openwsman', type: 'feature', value: 'auto', description: 'openwsman support')
option('pciaccess', type: 'feature', value: 'auto', description: 'pciaccess support')
option('polkit', type: 'feature', value: 'auto', description: 'use PolicyKit for UNIX socket access checks')
option('readline', type: 'feature', value: 'auto', description: 'readline support')
option('sanlock', type: 'feature', value: 'auto', description: 'sanlock support')
option('sasl', type: 'feature', value: 'auto', description: 'sasl support')
option('selinux', type: 'feature', value: 'auto', description: 'selinux support')
option('selinux_mount', type: 'string', value: '', description: 'set SELinux mount point')
option('udev', type: 'feature', value: 'auto', description: 'udev support')
option('wireshark_dissector', type: 'feature', value: 'auto', description: 'wireshark support')
option('wireshark_plugindir', type: 'string', value: '', description: 'wireshark plugins directory for use when installing wireshark plugin')
option('yajl', type: 'feature', value: 'auto', description: 'yajl support')


# build driver options
option('driver_bhyve', type: 'feature', value: 'auto', description: 'bhyve driver')
option('driver_esx', type: 'feature', value: 'auto', description: 'esx driver')
option('driver_hyperv', type: 'feature', value: 'auto', description: 'Hyper-V driver')
option('driver_interface', type: 'feature', value: 'auto', description: 'host interface driver')
option('driver_libvirtd', type: 'feature', value: 'auto', description: 'libvirtd driver')
option('driver_libxl', type: 'feature', value: 'auto', description: 'libxenlight driver')
option('driver_lxc', type: 'feature', value: 'auto', description: 'Linux Container driver')
option('driver_ch', type: 'feature', value: 'auto', description: 'Cloud-Hypervisor driver')
option('ch_user', type: 'string', value: '', description: 'username to run Cloud-Hypervisor system instance as')
option('ch_group', type: 'string', value: '', description: 'groupname to run Cloud-Hypervisor system instance as')
option('driver_network', type: 'feature', value: 'auto', description: 'virtual network driver')
option('driver_openvz', type: 'feature', value: 'auto', description: 'OpenVZ driver')
option('driver_qemu', type: 'feature', value: 'auto', description: 'QEMU/KVM driver')
option('qemu_user', type: 'string', value: '', description: 'username to run QEMU system instance as')
option('qemu_group', type: 'string', value: '', description: 'groupname to run QEMU system instance as')
option('qemu_moddir', type: 'string', value: '', description: 'set the directory where QEMU modules are located')
option('qemu_datadir', type: 'string', value: '', description: 'set the directory where QEMU shared data is located')
option('driver_remote', type: 'feature', value: 'auto', description: 'remote driver')
option('remote_default_mode', type: 'combo', choices: ['legacy', 'direct'], value: 'direct', description: 'remote driver default mode')
option('driver_secrets', type: 'feature', value: 'auto', description: 'local secrets management driver')
option('driver_test', type: 'feature', value: 'auto', description: 'test driver')
option('driver_vbox', type: 'feature', value: 'auto', description: 'VirtualBox XPCOMC driver')
option('vbox_xpcomc_dir', type: 'string', value: '', description: 'Location of directory containing VirtualBox XPCOMC library')
option('driver_vmware', type: 'feature', value: 'auto', description: 'VMware driver')
option('driver_vz', type: 'feature', value: 'auto', description: 'Virtuozzo driver')

option('secdriver_apparmor', type: 'feature', value: 'auto', description: 'use AppArmor security driver')
option('apparmor_profiles', type: 'feature', value: 'auto', description: 'install apparmor profiles')
option('secdriver_selinux', type: 'feature', value: 'auto', description: 'use SELinux security driver')


# storage driver options
option('storage_dir', type: 'feature', value: 'auto', description: 'directory backend for the storage driver')
option('storage_disk', type: 'feature', value: 'auto', description: 'GPartd Disk backend for the storage driver')
option('storage_fs', type: 'feature', value: 'auto', description: 'FileSystem backend for the storage driver')
option('storage_gluster', type: 'feature', value: 'auto', description: 'Gluster backend for the storage driver')
option('storage_iscsi', type: 'feature', value: 'auto', description: 'iscsi backend for the storage driver')
option('storage_iscsi_direct', type: 'feature', value: 'auto', description: 'iscsi-direct backend for the storage driver')
option('storage_lvm', type: 'feature', value: 'auto', description: 'LVM backend for the storage driver')
option('storage_mpath', type: 'feature', value: 'auto', description: 'mpath backend for the storage driver')
option('storage_rbd', type: 'feature', value: 'auto', description: 'RADOS Block Device backend for the storage driver')
option('storage_scsi', type: 'feature', value: 'auto', description: 'SCSI backend for the storage driver')
option('storage_vstorage', type: 'feature', value: 'auto', description: 'Virtuozzo storage backend for the storage driver')
option('storage_zfs', type: 'feature', value: 'auto', description: 'ZFS backend for the storage driver')


# build feature options
option('chrdev_lock_files', type: 'string', value: '', description: 'location for UUCP style lock files for character devices (leave empty for default paths on some platforms)')
option('dtrace', type: 'feature', value: 'auto', description: 'use dtrace for static probing')
option('firewalld', type: 'feature', value: 'auto', description: 'firewalld support')
option('firewalld_zone', type: 'feature', value: 'auto', description: 'whether to install firewalld libvirt zone')
option('host_validate', type: 'feature', value: 'auto', description: 'build virt-host-validate')
option('init_script', type: 'combo', choices: ['systemd', 'openrc', 'check', 'none'], value: 'check', description: 'Style of init script to install')
option('loader_nvram', type: 'string', value: '', description: 'Pass list of pairs of <loader>:<nvram> paths. Both pairs and list items are separated by a colon.')
option('login_shell', type: 'feature', value: 'auto', description: 'build virt-login-shell')
option('nss', type: 'feature', value: 'auto', description: 'enable Name Service Switch plugin for resolving guest IP addresses')
option('numad', type: 'feature', value: 'auto', description: 'use numad to manage CPU placement dynamically')
option('pm_utils', type: 'feature', value: 'auto', description: 'use pm-utils for power management')
option('sysctl_config', type: 'feature', value: 'auto', description: 'Whether to install sysctl configs')
option('tls_priority', type: 'string', value: 'NORMAL', description: 'set the default TLS session priority string')

=== debian/changelog ===
libvirt (9.0.0-4+mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * libvirt-daemon-system: give priority to its libvirt-daemon-system-sysv
    alternative dependency on MX.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Jan 2024 19:51:02 -0800

libvirt (9.0.0-4) unstable; urgency=medium

  * [79f6669] patches: Add backports
    - backport/virpci-Resolve-leak-in-virPCIVirtualFunctionList-cleanup.patch
      - Fixes CVE-2023-2700 (Closes: #1036297)

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 21 May 2023 11:31:31 +0200

libvirt (9.0.0-3) unstable; urgency=medium

  * [56bee71] patches: Add backports
    - backport/conf-Fix-migration-in-some-firmware-autoselection-scenari.patch
  * [4cdee74] debconf: Add Spanish translation
    - Thanks to Jonathan Bustillos (Closes: #986773)
  * [1e520e5] debconf: Add Italian translation
    - Thanks to Ceppo (Closes: #1019161)
  * [12619ec] debconf: Add Romanian translation
    - Thanks to Remus-Gabriel Chelu (Closes: #1032335)

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 15 Apr 2023 18:27:51 +0200

libvirt (9.0.0-2) unstable; urgency=medium

  * [de81410] patches: Add backports
    - backport/qemu_domain-Don-t-unref-NULL-hash-table-in-qemuDomainRefr.patch
      - Closes: #1030671
    - backport/qemu-Jump-to-cleanup-label-on-umount-failure.patch
    - backport/qemu_namespace-Deal-with-nested-mounts-when-umount-ing-de.patch
    - backport/qemuProcessRefreshDisks-Don-t-skip-filling-of-disk-inform.patch
    - backport/qemu_extdevice-Do-cleanup-host-only-for-VIR_DOMAIN_TPM_TY.patch
    - backport/qemu-blockjob-Handle-pending-blockjob-state-only-when-we-.patch
    - backport/rpc-client-Don-t-check-return-value-of-virNetMessageNew.patch
    - backport/rpc-Don-t-warn-about-max_client_requests-in-single-thread.patch
  * [699a828] patches: Disable passt support
    - debian/patches/debian/Disable-passt-support.patch
      - The feature is not quite ready for prime time yet, so it will remain
        disabled in bookworm

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 26 Feb 2023 18:18:30 +0100

libvirt (9.0.0-1) unstable; urgency=medium

  * [45d077a] libvirt-daemon-system: Make default files functionally empty
    - On systems running systemd, libvirtd will now follow the upstream
      behavior of starting on demand via socket activation and shutting down
      automatically after having been idle for 120 seconds
  * [40fe229] Drop obsolete package transition logic
    - The oldest version that we expect to be upgrading from is 6.0.0-1
  * [5bb56e9] Drop obsolete UML-related files
    - The UML driver was dropped in version 5.0.0-1
  * [f9f3a4d] New upstream version 9.0.0
  * [30dad26] patches: Drop obsolete backports
  * [157a5ec] patches: Add backports
    - backport/apparmor-Allow-umount-dev.patch
    - backport/qemu_interface-Fix-managed-no-case-when-creating-an-ether.patch
  * [94f11a4] libvirt-daemon-sysv: Remove dependency on lsb-base
    - The package is obsolete

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 28 Jan 2023 17:03:53 +0100

libvirt (8.10.0-3) unstable; urgency=medium

  [ Michael Biebl ]
  * [4d6db56] Replace manual maintscript code with dh_installsystemd
    - No longer needed now that #994204 has been addressed
    - Closes: #1021956
  * [91d9ac0] Drop no longer supported static priorities from dh_installinit

  [ Smits Katze ]
  * [60b2ca1] libnss-libvirt: Update apt seccomp filter
    - Allow getdents64() in addition to getdents()
    - Thanks to Thomas Luzat
    - Closes: #934474

  [ Andrea Bolognani ]
  * [b9b2923] libvirt-daemon-system: Depend on polkitd instead of policykit-1
    - Makes it possible to not install / uninstall pkexec
    - Closes: #1025578
  * [c62b8b2] libvirt-daemon-system: Drop polkit rules in legacy pkla format
    - Makes it possible to not install / uninstall polkitd-pkla
  * [8c5870d] control: Bump Standards-Version to 4.6.2
    - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 04 Jan 2023 22:09:31 +0100

libvirt (8.10.0-2) experimental; urgency=medium

  * [145e4fe] patches: Add backports
    - backport/docs-Fix-typo-in-virt-qemu-sev-validate-1.patch
    - backport/tools-Fix-interpreter-for-virt-qemu-sev-validate.patch
    - backport/tools-Fix-style-issues-in-virt-qemu-sev-validate.patch
  * [409e40a] libvirt-clients-qemu: New binary package
    - Contains QEMU-specific tools
    - Depends on Python
  * [bf99e82] libvirt-l10n: New binary package
    - Contains translations
    - Can be safely uninstalled to reduce disk footprint

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 12 Dec 2022 23:03:13 +0100

libvirt (8.10.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * [efe753f] qemu: Recommend swtpm for TPM emulation (Closes: #1009972)

  [ Andrea Bolognani ]
  * [7dc1e3c] New upstream version 8.10.0

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 07 Dec 2022 17:20:19 +0100

libvirt (8.9.0-1) unstable; urgency=medium

  * [981c332] New upstream version 8.9.0
  * [3f29856] control: Add (build) dependency on mount
    - Closes: #1023420

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 19 Nov 2022 23:00:34 +0100

=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Andrea Bolognani <eof@kiyuko.org>
Build-Depends: augeas-tools,
               bash-completion,
               debhelper-compat (= 13),
               dh-apparmor [linux-any],
               iptables [linux-any],
               kmod [linux-any],
               libacl1-dev [linux-any],
               libapparmor-dev [linux-any],
               libattr1-dev [linux-any],
               libaudit-dev [linux-any],
               libblkid-dev,
               libc6-dev (>= 2.31-14~),
               libcap-ng-dev [linux-any],
               libcurl4-gnutls-dev,
               libdevmapper-dev [linux-any],
               libfuse3-dev [linux-any],
               libglib2.0-dev,
               libglusterfs-dev [linux-any],
               libgnutls28-dev,
               libiscsi-dev [linux-any],
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libnuma-dev [linux-any],
               libparted-dev,
               libpcap0.8-dev,
               libpciaccess-dev,
               librados-dev [linux-any],
               librbd-dev [linux-any],
               libreadline-dev,
               libsanlock-dev [linux-any],
               libsasl2-dev,
               libselinux1-dev [linux-any],
               libssh-dev,
               libssh2-1-dev,
               libtasn1-6-dev,
               libtirpc-dev,
               libudev-dev [linux-any],
               libwireshark-dev,
               libxen-dev [amd64 arm64 armhf],
               libxml2-dev,
               libxml2-utils,
               libyajl-dev,
               lvm2 [linux-any],
               meson,
               mount,
               nfs-common:native,
               numad:native [linux-any],
               open-iscsi [linux-any],
               po-debconf,
               python3-docutils,
               python3:native,
               qemu-system-common:native,
               qemu-utils,
               systemtap-sdt-dev [linux-any],
               xsltproc
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
Homepage: https://libvirt.org/
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: libvirt-clients
Section: admin
Architecture: any
Depends: libvirt0 (= ${binary:Version}),
         sensible-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libvirt-clients-qemu (= ${binary:Version}),
          libvirt-daemon (= ${binary:Version}),
          libvirt-login-shell (= ${binary:Version})
Breaks: libvirt-daemon (<< 6.9.0-2~), libvirt-daemon-driver-qemu (<< 6.9.0-2~)
Replaces: libvirt-daemon (<< 6.9.0-2~)
Description: Programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirt shell virsh and other client binaries.

Package: libvirt-clients-qemu
Section: admin
Architecture: all
Depends: python3-libvirt, python3:any, ${misc:Depends}
Description: Programs for the libvirt library (QEMU specific)
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the QEMU-specific client binaries.

Package: libvirt-login-shell
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends: libvirt-clients (= ${binary:Version}),
         libvirt-daemon-driver-lxc (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvirt-clients (<< 6.9.0-2~)
Replaces: libvirt-clients (<< 6.9.0-2~)
Description: Isolate user sessions using LXC containers
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the virt-login-shell tool, which can be set as a user's
 login shell to isolate their sessions using LXC containers.

Package: libvirt-daemon
Section: admin
Architecture: any
Depends: libvirt-daemon-driver-qemu (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libvirt-daemon-driver-lxc (= ${binary:Version}),
            libvirt-daemon-driver-vbox (= ${binary:Version}),
            libvirt-daemon-driver-xen (= ${binary:Version}),
            libxml2-utils,
            lvm2 [linux-any],
            mount,
            netcat-openbsd,
            qemu-kvm | qemu-system
Suggests: libvirt-daemon-driver-storage-gluster (= ${binary:Version}),
          libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
          libvirt-daemon-driver-storage-rbd (= ${binary:Version}),
          libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
          libvirt-daemon-system (= ${binary:Version}),
          numad
Enhances: qemu-kvm, qemu-system, xen
Breaks: libvirt-clients (<< 6.9.0-2~),
        libvirt-daemon-driver-lxc (<< 6.9.0-2~),
        libvirt-daemon-system (<< 6.9.0-3~),
        libvirt-sanlock (<< 6.9.0-2~)
Replaces: libvirt-daemon-system (<< 6.9.0-3~)
Description: Virtualization daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the daemon libvirtd to manage the hypervisors.

Package: libvirt-daemon-driver-qemu
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends: libvirt0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libvirt-clients (<< 6.9.0-2~)
Replaces: libvirt-clients (<< 6.9.0-2~)
Recommends: swtpm, swtpm-tools
Description: Virtualization daemon QEMU connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for QEMU.

Package: libvirt-daemon-driver-lxc
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvirt-daemon (<< 6.9.0-2~)
Replaces: libvirt-daemon (<< 6.9.0-2~)
Description: Virtualization daemon LXC connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for LXC.

Package: libvirt-daemon-driver-vbox
Section: admin
Architecture: amd64 i386
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Virtualization daemon VirtualBox connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for VirtualBox.

Package: libvirt-daemon-driver-xen
Section: admin
Architecture: amd64 arm64 armhf
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Virtualization daemon Xen connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for Xen.

Package: libvirt-daemon-driver-storage-gluster
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Virtualization daemon glusterfs storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for GlusterFS.

Package: libvirt-daemon-driver-storage-iscsi-direct
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qemu-block-extra
Description: Virtualization daemon iSCSI (libiscsi) storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains a libvirtd storage driver for iSCSI volumes implemented
 using libiscsi.

Package: libvirt-daemon-driver-storage-rbd
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Virtualization daemon RBD storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for RBD/Rados/Ceph.

Package: libvirt-daemon-driver-storage-zfs
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Virtualization daemon ZFS storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for ZFS.

Package: libvirt-daemon-system
Section: admin
Architecture: any
Depends: adduser,
         gettext-base,
         iptables [linux-any] | firewalld,
         libvirt-clients (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

NULL =

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# If the build environment sets -Bsymbolic-functions, which is often used as
# hardening option, that would break libvirt build time self-testing.
# Therefore let dpkg-buildflag strip that option if present.
DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ARCHES_LXC  = alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
ARCHES_XEN  = amd64 arm64 armhf
ARCHES_VBOX = amd64 i386

ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
    ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_VBOX)))
        WITH_VBOX             = -Ddriver_vbox=enabled
    else
        WITH_VBOX             = -Ddriver_vbox=disabled
    endif
    ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_XEN)))
        WITH_LIBXL            = -Ddriver_libxl=enabled
    else
        WITH_LIBXL            = -Ddriver_libxl=disabled
    endif
    WITH_STORAGE_LVM          = -Dstorage_lvm=enabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=enabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=enabled
    WITH_STORAGE_DISK         = -Dstorage_disk=enabled
    WITH_STORAGE_RBD          = -Dstorage_rbd=enabled
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=enabled
    WITH_UDEV                 = -Dudev=enabled
    WITH_CAPNG                = -Dcapng=enabled
    WITH_LIBNL                = -Dlibnl=enabled
    WITH_NETWORK              = -Ddriver_network=enabled
    WITH_OPENVZ               = -Ddriver_openvz=enabled
    WITH_POLKIT               = -Dpolkit=enabled
    WITH_SANLOCK              = -Dsanlock=enabled
    WITH_INIT_SCRIPT          = -Dinit_script=systemd
    WITH_FIREWALLD            = -Dfirewalld=enabled
    WITH_ATTR                 = -Dattr=enabled
    WITH_AUDIT                = -Daudit=enabled
    WITH_SELINUX              = -Dselinux=enabled -Dsecdriver_selinux=enabled -Dselinux_mount=/sys/fs/selinux
    WITH_APPARMOR             = -Dapparmor=enabled -Dsecdriver_apparmor=enabled -Dapparmor_profiles=enabled
    WITH_NSS_PLUGIN           = -Dnss=enabled
    WITH_DTRACE               = -Ddtrace=enabled
    WITH_NUMA                 = -Dnumactl=enabled -Dnumad=enabled
    ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_LXC)))
        WITH_LXC              = -Ddriver_lxc=enabled
        WITH_LOGIN_SHELL      = -Dlogin_shell=enabled
    else
        WITH_LXC              = -Ddriver_lxc=disabled
        WITH_LOGIN_SHELL      = -Dlogin_shell=disabled
    endif
else
    WITH_VBOX                 = -Ddriver_vbox=disabled
    WITH_LIBXL                = -Ddriver_libxl=disabled
    WITH_STORAGE_LVM          = -Dstorage_lvm=disabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=disabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=disabled
    WITH_STORAGE_DISK         = -Dstorage_disk=disabled
    WITH_STORAGE_RBD          = -Dstorage_rbd=disabled
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=disabled
    WITH_UDEV                 = -Dudev=disabled
    WITH_CAPNG                = -Dcapng=disabled
    WITH_LIBNL                = -Dlibnl=disabled
    WITH_NETWORK              = -Ddriver_network=disabled
    WITH_OPENVZ               = -Ddriver_openvz=disabled
    WITH_POLKIT               = -Dpolkit=disabled
    WITH_SANLOCK              = -Dsanlock=disabled
    WITH_INIT_SCRIPT          = -Dinit_script=none
    WITH_FIREWALLD            = -Dfirewalld=disabled
    WITH_ATTR                 = -Dattr=disabled
    WITH_AUDIT                = -Daudit=disabled
    WITH_SELINUX              = -Dselinux=disabled -Dsecdriver_selinux=disabled -Dselinux_mount=
    WITH_APPARMOR             = -Dapparmor=disabled -Dsecdriver_apparmor=disabled -Dapparmor_profiles=disabled
    WITH_NSS_PLUGIN           = -Dnss=disabled
    WITH_DTRACE               = -Ddtrace=disabled
    WITH_NUMA                 = -Dnumactl=disabled -Dnumad=disabled
    WITH_LXC                  = -Ddriver_lxc=disabled
    WITH_LOGIN_SHELL          = -Dlogin_shell=disabled
endif

DEB_CONFIGURE_EXTRA_ARGS := \
    --libexecdir=/usr/lib/libvirt \
    -Drunstatedir=/run \
    -Dpackager="$(DEB_VENDOR)" \
    -Dpackager_version="$(DEB_VERSION)" \
    -Ddriver_qemu=enabled \
    -Ddriver_libvirtd=enabled \
    -Ddriver_remote=enabled \
    -Dremote_default_mode=legacy \
    -Ddriver_test=enabled \
    -Ddriver_ch=disabled \
    -Dqemu_user=libvirt-qemu \
    -Dqemu_group=libvirt-qemu \
    -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
    -Dqemu_datadir=/usr/share/qemu \
    -Ddocs=enabled \
    -Dtests=enabled \
    $(WITH_OPENVZ) \
    -Dsasl=enabled \
    -Dyajl=enabled \
    -Dlibssh2=enabled \
    -Dlibssh=enabled \
    $(WITH_POLKIT) \
    $(WITH_SANLOCK) \
    $(WITH_UDEV) \
    -Dstorage_fs=enabled \
    -Dstorage_dir=enabled \
    $(WITH_STORAGE_LVM) \
    $(WITH_STORAGE_ISCSI) \
    $(WITH_STORAGE_ISCSI_DIRECT) \
    $(WITH_STORAGE_DISK) \
    $(WITH_STORAGE_RBD) \
    $(WITH_STORAGE_GLUSTER) \
    -Dstorage_vstorage=disabled \
    -Dstorage_zfs=enabled \
    $(WITH_INIT_SCRIPT) \
    $(WITH_NUMA) \
    $(WITH_SELINUX) \
    $(WITH_APPARMOR) \
    -Ddriver_esx=enabled \
    $(WITH_CAPNG) \
    $(WITH_LIBNL) \
    $(WITH_NETWORK) \
    -Dnetcf=disabled \
    $(WITH_LIBXL) \
    $(WITH_VBOX) \
    $(WITH_LXC) \
    $(WITH_LOGIN_SHELL) \
    $(WITH_DTRACE) \
    $(WITH_AUDIT) \
    $(WITH_FIREWALLD) \
    $(WITH_ATTR) \
    $(WITH_NSS_PLUGIN) \
    -Dwireshark_dissector=enabled \
    $(NULL)

# Those have to stay up through upgrades to avoid interruptions
LIBVIRT_UNITS = \
    virtlogd.service \
    virtlockd.service \
    libvirt-guests.service \
    libvirtd.socket \
    libvirtd-ro.socket \
    libvirtd-admin.socket \
    virtlogd.socket \
    virtlogd-admin.socket \
    virtlockd.socket \
    virtlockd-admin.socket \
    $(NULL)

APPARMOR_ABSTRACTIONS = \
    libvirt-lxc \
    libvirt-qemu \
    $(NULL)

APPARMOR_TEMPLATES = \
    TEMPLATE.lxc \
    TEMPLATE.qemu \
    $(NULL)

APPARMOR_SERVICES = \
    usr.lib.libvirt.virt-aa-helper \
    usr.sbin.libvirtd \
    $(NULL)

NSS_PLUGINS = \
    libvirt \
    libvirt_guest \
    $(NULL)

SYSTEMTAP_TAPSETS = \
    libvirt_functions \
    libvirt_probes \
    libvirt_qemu_probes \
    $(NULL)

SYSCTL_CONFIGS = \
    libvirtd \
    qemu-postcopy-migration \
    $(NULL)


DEB_BUILDDIR := $(CURDIR)/debian/build
DEB_DESTDIR := $(CURDIR)/debian/tmp
SRV_MONOLITHIC = libvirt-guests virtlogd virtlockd libvirtd libvirtd-tcp libvirtd-tls virt-guest-shutdown
# For split daemons later, as of 6.0 the remaining elments are
#SRV_SPLIT = virtnwfilterd virtinterfaced virtlxcd virtnetworkd virtnodedevd virtproxyd virtqemud virtsecretd virtstoraged virtvboxd virtxend virtproxyd-tcp virtproxyd-tls

%:
	dh $@ --builddirectory=$(DEB_BUILDDIR)

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS)

# The default timeout for tests in Meson is 30s, which is not enough
# for architectures with slow buildds: make the timeout 10 times
# larger (5m) to account for those
override_dh_auto_test:
	export LD_PRELOAD=""; \
	export VIR_TEST_DEBUG=1; \
	if ! dh_auto_test -- --timeout-multiplier 10; then \
	    cat $(DEB_BUILDDIR)/meson-logs/testlog.txt; \
	    exit 1; \
	fi

# After the upstream build system has installed libvirt into $(DEB_DESTDIR),
# we need to make some tweaks (add a few extra files, delete some contents
# we're not interested in, move things around) so that later calls to the
# various dh_* tools will work optimally. This target is the perfect place
# to perform such operations
execute_after_dh_auto_install:
	# Move upstream files where dh_* can find them
	set -e; for f in $(SYSCTL_CONFIGS); do \
	    mv $(DEB_DESTDIR)/usr/lib/sysctl.d/60-$${f}.conf \
	       $(DEB_DESTDIR)/usr/lib/sysctl.d/$${f}.sysctl; \
	done

	# Copy the release notes where dh_installdocs can find them
	cp NEWS.rst \
	   $(DEB_DESTDIR)/usr/share/doc/libvirt/NEWS

=== debian/tests/control ===
Tests: smoke
Depends: libvirt-clients
Restrictions: allow-stderr

Tests: smoke-qemu-session
Depends: libvirt-clients, libvirt-daemon, libxml2-utils, qemu-kvm, qemu-system
Restrictions: allow-stderr, isolation-container, skippable, skip-not-installable

Tests: smoke-lxc
Depends: libvirt-clients,
         libvirt-daemon-driver-lxc,
         libvirt-daemon-system,
         libxml2-utils
Restrictions: allow-stderr, needs-root, isolation-machine

Tests: build-test
Depends: build-essential, libvirt-dev, pkg-config
Restrictions: allow-stderr
